Subject: bug#42254: 27.0.91; display-line-numbers-mode incoherent shifting behaviour

From: Fernando Peña <[email-masked]>
Date: Wed, 8 Jul 2020 17:09:01 +0200

The behaviour is the same whether  display-line-numbers-width-start is set
or
not to non-nil, and if you save the file and reopen it again.

El mié., 8 jul. 2020 a las 17:02, Fernando Peña (<[email-masked]>)
escribió:

> Sorry for the Reply All, it's my first time mailing over here.
>
> I tested it on different computers and it always happens.
>
> These are the step to reproduce it:
>
>    1. Open emacs with emacs -q
>    2. Open an empty buffer
>    3. M-x display-line-numbers-mode
>    4. Insert 95 lines (C-u 95 RET)
>
> You should see that there's an extra space on the left of the line
> numbers, and
> when you scroll up until line 90 or 85 (I think it depends on the window
> size)
> it disappears. If you scroll down again to the bottom, the buffer is again
> shifted to the right.
>
> El mié., 8 jul. 2020 a las 16:50, Eli Zaretskii (<[email-masked]>) escribió:
>
>> [Please use Reply All to reply, so that the bug tracker gets CC'ed.]
>>
>> > From: Fernando Peña <[email-masked]>
>> > Date: Wed, 8 Jul 2020 16:38:57 +0200
>> >
>> > Okay, thanks very much for your time. Yeah, I tweaked all the variables
>> I saw in the mode, including the one
>> > you mentioned. The problem is that when the buffer has 80-99 lines for
>> example, it still shifts to the right
>> > when displaying the bottom.
>>
>> If the variable I mentioned is non-nil, there shouldn't be any shift
>> at all.  Can you show an example of such a file?  Maybe there's some
>> bug after all.
>>
>